Skip to main content
GET
Get an email message

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

emailMessageId
string
required

The ID of the email message.

Response

Successful.

id
string
required

The ID of the email message.

subject
string
required

The email subject.

previewText
string
required

The email preview text.

fromName
string
required

The email sender name.

fromEmail
string
required

The email sender email address.

replyToEmail
string
required

The email reply-to address.

emailFormat
enum<string>
required

The rendering format of the email.

Available options:
styled,
plain
lmx
string
required

The email body serialized as LMX.

contentRevisionId
string | null
required

The current content revision. Pass this as expectedRevisionId on your next update.

updatedAt
string<date-time>
required
campaignId
string

The campaign this email message belongs to. Present only when the message belongs to a campaign (mutually exclusive with transactionalId).

transactionalId
string

The transactional email this email message belongs to. Present only when the message belongs to a transactional email (mutually exclusive with campaignId).

ccEmail
string

The email CC address. Only present when set.

bccEmail
string

The email BCC address. Only present when set.

languageCode
string

Only present when set.

contactPropertiesFallbacks
object

Fallback values for contact properties. Only present when set.

eventPropertiesFallbacks
object

Fallback values for event properties. Only present when set.

dataVariablesFallbacks
object

Fallback values for data variables. Only present when set.

warnings
object[]

Non-fatal issues raised while compiling the submitted LMX. Only present on update responses when warnings were produced.

Last modified on July 20, 2026